## devscripts 2.17.1

=== debian/changelog ===
devscripts (2.17.1) unstable; urgency=medium

  [ Osamu Aoki ]
  * uscan:
    + PyPI packages location change.  (Closes: #851590)

  [ Guillem Jover ]
  * dscverify:
    + Add support for .buildinfo files.  (Closes: #852801)

  [ Mattia Rizzolo ]
  * dscverify:
    + Remove reference to the long gone debian-maintainers package.
  * test_package_lifecycle:
    + Import patch from Ubuntu to have the test pass on their builders too:
      filter out output from pkg-create-dbgsym's dh_gencontrol wrapper, pass
      --set-envvar=NO_PKG_MANGLE=1 to debuild, and pass -U to debchange.
  * debian/tests/control:
    + Depend on build-essential.

  [ James McCoy ]
  * test_package_lifecycle:
    + Ignore debhelper's new "create-stamp" output to fix the test failure.
      (Closes: #852918)

 -- James McCoy <jamessan@debian.org>  Wed, 01 Feb 2017 21:25:00 -0500

devscripts (2.17.0) unstable; urgency=medium

  [ Sean Whitton ]
  * New script: git-deborig, a wrapper around git-archive(1) to generate
    Debian orig.tar files.

  [ Paul Wise ]
  * grep-excuses:
    + Ignore new --- header line in autoremovals.yaml.cgi

  [ James McCoy ]
  * Check for existence of gpg/gpg2 in $PATH rather than absolute paths.
    (Closes: #850655)
  * wrap-and-sort:
    + Support debian/clean files.  (Closes: #850662)
  * Remove bash completion for dcut, since src:dput will be providing it.
    (Closes: #850684)
  * dget:
    + Verify exit status of “dpkg-source -x” and propagate failure.  (Closes:
      #850845)

 -- James McCoy <jamessan@debian.org>  Tue, 10 Jan 2017 23:21:45 -0500

devscripts (2.16.13) unstable; urgency=medium

  [ Paul Wise ]
  * uscan:
    + Add .sign to the default OpenPGP extensions list

  [ James McCoy ]
  * debuild:
    + Pass "-tc" through to dpkg-buildpackage instead of treating it as
      "-t c".  (Closes: #848210)

 -- James McCoy <jamessan@debian.org>  Thu, 15 Dec 2016 21:41:54 -0500

devscripts (2.16.12) unstable; urgency=medium

  [ James McCoy ]
  * mergechanges:
    + Add handling for buildinfo files, based on a patch by Simon McVittie.
      (Closes: #843470)
  * debuild:
    + Move invocation of lintian back into debuild.  This restores the
      behavior of ignoring the return code of lintian (Closes: #847168) and
      only running lintian when it is present (Closes: #846711).

  [ Antonio Terceiro ]
  * debrepro:
    + export NO_FAKE_STAT=1 when using faketime to avoid faking stat() calls
      (see discussion in bug #846365)

 -- James McCoy <jamessan@debian.org>  Fri, 09 Dec 2016 17:24:12 -0500

devscripts (2.16.11) unstable; urgency=medium

  [ James McCoy ]
  * debuild:
    + Avoid setting a hook to just "cd ..; ".
    + Clear @ARGV if running lintian to avoid treating @ARGV as debian/rules
      targets to run.  (Closes: #846863)

  [ Antonio Terceiro ]
  * debclean:
    + do not descend on subdirectories if current directory is already a
      Debian source package.
    + fix manpage to mention what exactly is executed on each directory (i.e.
      debclean calls `debuild -- clean`, not `debian/rules clean`)
  * debrepro:
    + add -s/--skip option to skip any of the supported variations
      (Closes: #846365)

 -- James McCoy <jamessan@debian.org>  Sun, 04 Dec 2016 21:19:15 -0500

devscripts (2.16.10) unstable; urgency=medium

  [ Afif Elghraoui ]
  * debcommit:
    + Use standard version mangling for git tags. (Closes: #770187)

  [ Antonio Terceiro ]
  * debrepro:
    + document exit status in manpage

  [ James McCoy ]
  * debuild:
    + Fix mapping of debuild final-clean hook to dpkg-buildpackage's
      postclean.
    + Preserve SOURCE_DATE_EPOCH in the environment.
    + Require a '--' between debuild options and debian/rules target so we
      know where options end.  (Closes: #845566)
    + Adjust hook commands to account for dpkg-buildpackage running from a
      different directory than debuild used for the lintian, signing, and
      post-dpkg-buildpackage hooks.  (Closes: #845628)

 -- James McCoy <jamessan@debian.org>  Sat, 26 Nov 2016 13:21:58 -0500

devscripts (2.16.9) unstable; urgency=medium

  [ James McCoy ]
  * debsnap:
    + Fix "no binaries for given arch" detection so it doesn't download
      binaries for unspecified archs.  (Closes: #839533)
    + Add handling for the --version switch, as advertised by --help.
      (Closes: #839537)
  * bts:
    + Switch to Net::SMTPS to support STARTTLS.  Based on a patch by Andrew
      Shadura.  (Closes: #518622)
  * Refactor debuild to remove dpkg-buildpackage emulation and generally be a
    much thinner wrapper around dpkg-buildpackage.  (Closes: #789581)
    + Remove claim from man page that dpkg-buildpackage doesn't support hooks.
      (Closes: #765495)
    + Remove handling of all dpkg-buildpackage options that aren't directly
      used by debuild.
      - This fixes the issue where debuild didn't understand "-Jauto", as
        debuild now just passes it through.  (Closes: #826508)
    + Honor -a option regardless of which debuild mode is being used, since
      both modes now invoke dpkg-buildpackage.  (Closes: #611896)
    + Bump dpkg-dev (Build-)Depends to 1.17.6 for dpkg-buildpackage's
      --check-command and --hook-* options.
  * Fix debuild test failures due to new dpkg-genbuildinfo calls.
    (Closes: #844910)
  * dscverify:
    + Always display gpg output if --verbose is used, regardless of whether
      verification succeeds.  (Closes: #735416)

  [ Antonio Terceiro ]
  * debrepro:
    + Don't vary the build path. See
      https://wiki.debian.org/ReproducibleBuilds/History (section "Giving up
      on build paths") for an explanation on why it is not currently feasible
      to vary build paths for reproducible builds.
    + convert mapage to POD
    + in case of non-matching binaries, call diffoscope only on the .changes
      files instead of on the .deb files. This way we even get diff in
      .buildinfo between the builds.

  [ Guillem Jover ]

