## devscripts 2.17.2

=== debian/changelog ===
devscripts (2.17.2) unstable; urgency=medium

  [ James McCoy ]
  * deb-reversion:
    + Correct parsing of long-form --new-version switch.  (Closes: #853919)
  * grep-excuses:
    + Improve robustness of HTML parsing to avoid issues like #856104, until
      grep-excuses is converted to consume YAML.
  * debsign:
    + Add support for *.buildinfo files.  Thanks to Ximin Luo and Guillem
      Jover for the patches!  (Closes: #855282)
  * debian/tests/control: Add mozilla-devscripts to Depends, as needed by
    mk-origtargz's tests.

  [ Antonio Terceiro ]
  * rc-alert:
    + Add bug URL to the output.

  [ Guillem Jover ]
  * wrap-and-sort:
    + Deal with Build-Conflicts-{Arch,Indep}, Build-Depends-Arch and
      Built-Using fields.  (Closes: #855433)

  [ Mattia Rizzolo ]
  * Remove Ryan Niebur from Uploaders after a request from the MIA Team.
    Thank you for all your past contributions!  (Closes: #856374)

 -- James McCoy <jamessan@debian.org>  Sun, 05 Mar 2017 22:23:37 -0500
