=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Uploaders: James McCoy <jamessan@debian.org>,
            Martin Zobel-Helas <zobel@debian.org>,
            Patrick Schoenfeld <schoenfeld@debian.org>,
-           Ryan Niebur <ryanryan52@gmail.com>,
            Benjamin Drung <bdrung@debian.org>
 Standards-Version: 3.9.8
 Build-Depends: bash-completion,
@@ -40,7 +39,7 @@
                xz-utils,
                zip
 Testsuite: autopkgtest
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/devscripts.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/devscripts.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/devscripts.git
 
 Package: devscripts
