## devscripts 2.17.5

=== debian/changelog ===
devscripts (2.17.5) unstable; urgency=medium

  * Create GNUPGHOME in /tmp to fix CI failures due to long path names.

 -- James McCoy <jamessan@debian.org>  Sat, 18 Mar 2017 21:18:46 -0400

devscripts (2.17.4) unstable; urgency=medium

  * debsign:
    + Don't try to sign a buildinfo file when one isn't listed in the
      changes/dsc.  (Closes: #857964)

 -- James McCoy <jamessan@debian.org>  Thu, 16 Mar 2017 22:41:27 -0400

devscripts (2.17.3) unstable; urgency=medium

  * debsign:
    + Fix auto-detection of the signer.  Regression introduced in 2.17.2.
      (Closes: #857537)
    + Determine the names of related files from the file listings in
      .changes/.buildinfo.  (Closes: #857536)
    + In remote mode, ensure files are copied locally before trying to use
      them.  Regression introduced in 2.17.2.  (Closes: #857716)

 -- James McCoy <jamessan@debian.org>  Wed, 15 Mar 2017 23:28:00 -0400
