## devscripts 2.17.6~bpo8+1

=== debian/changelog ===
devscripts (2.17.6~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- James McCoy <jamessan@debian.org>  Thu, 08 Jun 2017 21:07:11 -0400

devscripts (2.17.6) unstable; urgency=medium

  [ Osamu Aoki ]
  * uscan:
    + Update manpage on the github.com behavior and the alternative
      shorthand form.  (Closes: #836507, #859089)

  [ Adam D. Barratt ]
  * uscan: fix a typo in the manpage
  * debdiff: fix a typo

  [ Paul Wise ]
  * chdist:
    + add support for running aptitude
  * debcheckout:
    + handle cgit URLs too. Thanks to Rhonda for the suggestion.
  * Make various scripts work when HOME is unset:
    bts chdist debcommit dscverify grep-excuses
    namecheck rc-alert svnpath wnpp-alert

  [ Antonio Terceiro ]
  * debrepro:
    + check for dependencies before doing any builds (Closes: #862586)

  [ James Clarke ]
  * debsign:
    + Fix signing a dsc directly.  (Closes: #863497)

  [ Jean-Pierre Giraud ]
  * French translation update (Closes: #863983)

 -- James McCoy <jamessan@debian.org>  Sat, 03 Jun 2017 14:29:24 -0400

devscripts (2.17.5~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Revert diffoscope → debbindiff change from 2.16.2~bpo8+1, since diffoscope
    is in jessie-backports now.

 -- James McCoy <jamessan@debian.org>  Wed, 24 May 2017 23:49:08 -0400

devscripts (2.16.4~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- James McCoy <jamessan@debian.org>  Fri, 29 Apr 2016 20:23:22 -0400

devscripts (2.16.2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
    + Revert debbindiff → diffoscope change, since diffoscope isn't in
      jessie(-backports).

 -- James McCoy <jamessan@debian.org>  Thu, 31 Mar 2016 21:28:11 -0400
