=== debian/changelog ===
devscripts (2.17.6+deb9u2) stretch; urgency=medium

  [ Osamu Aoki ]
  * uscan:
    + Fix the new package version regex for filenamemangle.  Closes: #869150

  [ Cyril Brulebois ]
  * debsign: Fix bash completion by using file extensions instead of
    using globs.  Closes: #877440

  [ Mattia Rizzolo ]
  * bts:
    + Add the new 'ftbfs' tag to the list of known tags.  Closes: #900963
  * debchange:
    + Update the manpage to mention that --bpo now targets stretch-backports,
      not jessie-backports.  Closes: #877877
  * uscan:
    + Apply patch from Stephen Kitt <skitt@debian.org> to support https in the
      sf.net special redirector.  Closes: #879207
  * test/uscan_mangle:
    + Use a real newline instead of embedding \n in a shell variable, which
      isn't portable between dash and bash, fixing FTBFS in systems using bash
      as /bin/sh.
  * debian/control:
    + Change maintainer email from alioth to devscripts@packages.debian.org.
    + Move the Git repository to salsa.debian.org.

  [ Christoph Berg ]
  * debcheckout:
    + Support salsa.debian.org.

  [ Adam D. Barratt ]
  * debdiff:
    + Sort shlibs files before comparing. The order of entries is not
      significant.

  [ Lev Lazinskiy ]
  * uscan:
    + Handle --copy argument.  Closes: #895209; MR !22

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 03 Jul 2018 10:37:56 +0200
