=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: devscripts
 Section: devel
 Priority: optional
-Maintainer: Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>
+Maintainer: Devscripts Maintainers <devscripts@packages.debian.org>
 Uploaders: James McCoy <jamessan@debian.org>,
            Martin Zobel-Helas <zobel@debian.org>,
            Patrick Schoenfeld <schoenfeld@debian.org>,
@@ -40,8 +40,8 @@
                xz-utils,
                zip
 Testsuite: autopkgtest
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/devscripts.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/devscripts.git
+Vcs-Browser: https://salsa.debian.org/debian/devscripts
+Vcs-Git: https://salsa.debian.org/debian/devscripts.git
 
 Package: devscripts
 Architecture: any
