=== debian/tests/control ===
Tests: shunit2
Depends: devscripts, libdistro-info-perl, zip, shunit2, gcc, build-essential, mozilla-devscripts
Restrictions: allow-stderr needs-recommends
