## devscripts 2.17.9build1

=== debian/changelog ===
devscripts (2.17.9build1) artful; urgency=medium

  [ Mattia Rizzolo ]
  * debian/tests/control:
    + Add dependency on debhelper; apparently autopkgtest in ubuntu doesn't
      pull it otherwise

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 25 Jul 2017 14:18:24 +0200

devscripts (2.17.9) unstable; urgency=medium

  [ Adam D. Barratt ]
  * transition-check:
    + fix URL of source data.  Closes: #868072

  [ Mattia Rizzolo ]
  * debrepro:
    + support skipping the 'time' variation.
  * debchange:
    + Fix test failure when building in Ubuntu.

  [ Ximin Luo ]
  * debdiff-apply:
    + Actually install the script, by adding it to setup.py.  Closes: #868260

  [ gregor herrmann ]
  * uscan:
    + Ensure uscan doesn't try to contact local proxies in tests.

 -- James McCoy <jamessan@debian.org>  Wed, 19 Jul 2017 20:29:27 -0400

devscripts (2.17.8) unstable; urgency=medium

  [ Ximin Luo ]
  * Rename debpatch to debdiff-apply. (Closes: #867738, #867743)

 -- James McCoy <jamessan@debian.org>  Mon, 10 Jul 2017 23:36:09 -0400

devscripts (2.17.7) unstable; urgency=medium

  [ Paul Wise ]
  * Switch from /org to /srv in paths on debian.org servers

  [ Mattia Rizzolo ]
  * debchange:
    + Target stretch-backports with --bpo.  Closes: #867662
    + Support $codename{,-{proposed-updates,security}} as well. Closes: #789587
  * bts:
    + Add patch from Samuel Thibault <sthibault@debian.org> to add support for
      the new 'a11y' tag.  Closes: #867416

  [ Hilko Bengen ]
  * debchange:
    + Replace dpkg call with Dpkg::Version::compare_version  (Closes: #854366)

  [ Cyril Brulebois ]
  * debsnap:
    + parse the dsc file when downloading source packages.  (Closes: #862668)

  [ Ximin Luo ]
  * debpatch:
    + New script, Apply a debdiff to a Debian source package. (Closes: #845659)

  [ Antonio Terceiro ]
  * debrepro:
    + When applying disorderfs to the second build, make sure the final path
      from where the package is built is the same as in the first build, to
      avoid differences in binaries due to the build path. There is no good
      solution for making builds independent of build path yet, so the current
      practice is to run both builds at the same location.

  [ James McCoy ]
  * uscan:
    + Use Dpkg::Version instead of shelling out to dpkg to compare upstream &
      mangled versions.  This improves the performance slightly and also
      avoids dpkg's errors about malformed versions.  (Closes: #866998)
    + When GPG verification is configured but the verification fails (either
      during actual verification or because of missing keyring/signature),
      exit uscan with an error.  (Closes: #841910)
  * grep-excuses:
    + Use YAML::Syck to parse excuses.yaml instead of using regex to pick
      apart update_excuses.html.
  * bts:
    + Create the cache directory if it doesn't already exist.  Thanks to
      Joonas Kylmälä for the patch.  (Closes: #866117)
  * debchange:
    + When an empty message is provided on the command-line, do not add an
      empty entry to the changelog.  Thanks to Adam Barratt for the patch.
      (Closes: #830968)
  * debuild:
    + Disable signing if the target distribution is "UNRELEASED", but honor
      dpkg-buildpackage's --force-sign as an override.  (Closes: #861020)
  * debsnap:
    + Preserve the remote mtime of the downloaded file.  Thanks to Guillem
      Jover for the patch.  (Closes: #860863)
  * Declare compliance with Policy 4.0.0, no changes needed.
  * Bump debhelper compat to 10.

  [ Ben Finney ]
  * debdiff:
    + Code style improvements in Bash command completion script.
    + Restructure Bash completion function.
      (Closes: #814570)

 -- James McCoy <jamessan@debian.org>  Sat, 08 Jul 2017 15:21:11 -0400
