=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: devscripts
 Section: devel
 Priority: optional
-Maintainer: Devscripts Maintainers <devscripts@packages.debian.org>
+Maintainer: Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>
 Uploaders: James McCoy <jamessan@debian.org>,
            Martin Zobel-Helas <zobel@debian.org>,
            Patrick Schoenfeld <schoenfeld@debian.org>,
            Benjamin Drung <bdrung@debian.org>
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Build-Depends: bash-completion,
-               debhelper (>= 9),
+               debhelper (>= 10),
                docbook-xsl,
                dpkg-dev (>= 1.17.6),
                file,
@@ -33,6 +33,7 @@
                python3-flake8,
                python3-magic,
                python3-setuptools,
+               python3-unidiff <!nocheck>,
                shunit2 (>= 2.1.6),
                unzip,
                wdiff,
@@ -40,8 +41,8 @@
                xz-utils,
                zip
 Testsuite: autopkgtest
-Vcs-Browser: https://salsa.debian.org/debian/devscripts
-Vcs-Git: https://salsa.debian.org/debian/devscripts.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/devscripts.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/devscripts.git
 
 Package: devscripts
 Architecture: any
@@ -73,6 +74,7 @@
             patchutils,
             python3-debian (>= 0.1.15),
             python3-magic,
+            python3-unidiff,
             sensible-utils,
             strace,
             unzip,
@@ -105,6 +107,7 @@
           mozilla-devscripts,
           mutt,
           piuparts,
+          quilt,
           ratt,
           reprotest,
           ssh-client,
@@ -155,6 +158,8 @@
   - debdiff: compare two versions of a Debian package to check for
     added and removed files. Use the diffoscope package for deep comparisons.
     [wdiff, patchutils]
+  - debdiff-apply: apply unified diffs of two Debian source packages, such as
+    generated by debdiff, to a target source package [python3-unidiff, quilt]
   - debi: install a just-built package
   - debpkg: dpkg wrapper to be able to manage/test packages without su
   - debrepro: reproducibility tester for Debian packages  [faketime,
@@ -188,8 +193,8 @@
   - getbuildlog: download package build logs from Debian auto-builders [wget]
   - git-deborig: try to produce Debian orig.tar using git-archive(1)
     [libdpkg-perl, libgit-wrapper-perl, liblist-compare-perl]
-  - grep-excuses: grep the update_excuses.html file for your packages
-    [libterm-size-perl, wget, w3m]
+  - grep-excuses: grep britney's excuses for your packages [libterm-size-perl,
+    libyaml-syck-perl, wget, w3m]
   - list-unreleased: search for unreleased packages
   - manpage-alert: locate binaries without corresponding manpages [man-db]
   - mass-bug: mass-file bug reports [bsd-mailx | mailx]
