## devscripts 2.17.9ubuntu0.1

=== scripts/Makefile ===
--- 
+++ 
@@ -23,7 +23,8 @@
 COMPLETION = $(patsubst %.bash_completion,$(BC_BUILD_DIR)/%,$(COMPL_FILES))
 COMPL_DIR := $(shell pkg-config --variable=completionsdir bash-completion)
 PKGNAMES:=wnpp-alert wnpp-check mk-build-deps rmadison mass-bug debsnap dd-list build-rdeps who-uploads transition-check getbuildlog dcontrol grep-excuses rc-alert whodepends dget pts-subscribe pts-unsubscribe debcheckout
-PYTHON3_SCRIPTS:=sadt suspicious-source wrap-and-sort
+# also update the list in setup.py
+PYTHON3_SCRIPTS:=debdiff-apply sadt suspicious-source wrap-and-sort
 
 GEN_MAN1S += debrepro.1 devscripts.1 mk-origtargz.1 uscan.1
