=== debian/changelog ===
devscripts (2.17.9ubuntu0.1) artful-security; urgency=medium

  * SECURITY UPDATE: Code execution through unsafe YAML loading
    - CVE-2018-13043

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Thu, 05 Jul 2018 10:54:03 -0300

devscripts (2.5.15) uns
