## devscripts 2.17.10~bpo9+1

=== debian/changelog ===
devscripts (2.17.10~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 27 Sep 2017 14:05:17 +0200

devscripts (2.17.10) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * debian/tests/control:
    + Add dependency on debhelper; apparently autopkgtest in ubuntu doesn't
      pull it otherwise
  * debian/control:
    + Mark build-dependencies needed only for the tests with the <!nocheck>
      build profile; partially addresses: #870640
  * debian/source/options:
    + Remove the file, compression=xz has been the default for a long while.
  * debian/TODO:
    + Remove the file, unusued (=> outdated) since 2008 and mostly empty.
  * debian/rules:
    + Enable hardening build flags.  Closes: #873379
      Thanks Chris Lamb <lamby@debian.org> for the patch.
  * reproducible-check:
    + New script from Chris Lamb to check the reproducibility status of the
      installed packages.  Closes: #872514

  [ Antonio Terceiro ]
  * debc:
    + add --list-changes option, similar to --list-debs but for displaying the
      path to the .changes file.
  * debrepro:
    + proof-read manpage.

  [ James McCoy ]
  * Add hardening-check script.
  * debuild:
    + Add "--" in --help output for debian/rules mode.
  * test_package_lifecycle:
    + Fix expected output when run as root.
  * build-rdeps:
    + Use apt interfaces to find and read the sources files, fixing --old
      (non-dose) behavior when sources files are compressed.  (Closes:
      #698240)
    + Check Build-Depends-Arch for dependencies.
  * debcheckout:
    + Using --auth for git repositories now performs the clone with the
      Vcs-Git URL, but sets remote.<name>.pushurl to the rewritten
      authenticated URL.  Thanks to Andreas Henriksson for the patch!
      (Closes: #753838)
  * debsign:
    + Use --with-colons in bash completion to fix key completion with gpg2.
      (Closes: #837380)
  * rc-alert:
    + Clarify the error when curl/wget dies.  (Closes: #820426)
  * suspicious-source:
    + Whitelist elisp (.el) files.  (Closes: #807754)
  * Declare compliance with Policy 4.1.0, no changes needed.

  [ Daniel Shahaf ]
  * bts:
    + Add devscripts.conf(5) to "See also".  Closes: #869842

  [ Osamu Aoki ]
  * uscan:
    + Fix the new package version regex for filenamemangle.  Closes: #869150
    + Fix example URL for pagemangle.  Closes: #864914
    + Set $origcount to 0 for each watch file. Closes: #840232
    + Don't fail on pgpmode=auto. Closes: #852537
    + Don't fail on pgpmode=previous. Closes: #840943, #873289
    + Rename and convert the detached signature with updated mk-origtargz.
      Closes: #727096, #874666
    + Use correct extension for the downloaded signature. Closes: #874569
  * mk-origtargz
    + Rename and convert the detached signature. Closes: #832267, #837173,
      #870281
    + Skip upstream signature when repacking.  Closes: #874667
  * uupdate 
    + -b option is not "New upstream release". Closes: #842468, #845610
    + Use space as the argument of debchange to create an empty entry
      template.
  * debchange: Handle multimaint case properly.  Closes: #842468
  * Made source package bootstrappable. Closes: #870640

  [ Antonio Terceiro ]
  * suspicious-source:
    - whitelist text/x-ruby
    - whitelist text/xml

 -- James McCoy <jamessan@debian.org>  Wed, 13 Sep 2017 22:08:30 -0400
