=== debian/control ===
--- 
+++ 
@@ -1,46 +1,50 @@
 Source: devscripts
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>
+Maintainer: Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>
 Uploaders: James McCoy <jamessan@debian.org>,
            Martin Zobel-Helas <zobel@debian.org>,
            Patrick Schoenfeld <schoenfeld@debian.org>,
            Benjamin Drung <bdrung@debian.org>
-Standards-Version: 4.0.0
+Standards-Version: 4.1.0
 Build-Depends: bash-completion,
                debhelper (>= 10),
+               dh-python,
                docbook-xsl,
                dpkg-dev (>= 1.17.6),
-               file,
-               gnupg | gnupg2,
-               libdistro-info-perl,
-               libdpkg-perl,
-               libfile-desktopentry-perl,
-               libfile-homedir-perl,
-               libgit-wrapper-perl,
-               liblist-compare-perl,
-               libtimedate-perl,
-               liburi-perl,
-               libwww-perl,
-               lsb-release,
-               mozilla-devscripts,
+               file <!nocheck>,
+               gnupg <!nocheck> | gnupg2 <!nocheck>,
+               help2man,
+               libdistro-info-perl <!nocheck>,
+               libdpkg-perl <!nocheck>,
+               libfile-desktopentry-perl <!nocheck>,
+               libfile-homedir-perl <!nocheck>,
+               libgit-wrapper-perl <!nocheck>,
+               liblist-compare-perl <!nocheck>,
+               libtimedate-perl <!nocheck>,
+               liburi-perl <!nocheck>,
+               libwww-perl <!nocheck>,
+               lsb-release <!nocheck>,
+               mozilla-devscripts <!nocheck>,
                perl,
                pkg-config,
-               po4a (>= 0.40),
-               pylint,
+               po4a,
+               pylint <!nocheck>,
                python3-all,
-               python3-debian (>= 0.1.15),
-               python3-flake8,
-               python3-magic,
+               python3-apt <!nocheck>,
+               python3-debian <!nocheck>,
+               python3-flake8 <!nocheck>,
+               python3-magic <!nocheck>,
+               python3-requests <!nocheck>,
                python3-setuptools,
                python3-unidiff <!nocheck>,
-               shunit2 (>= 2.1.6),
-               unzip,
-               wdiff,
+               python3-xdg <!nocheck>,
+               shunit2 <!nocheck>,
+               unzip <!nocheck>,
+               wdiff <!nocheck>,
                xsltproc,
-               xz-utils,
-               zip
+               xz-utils <!nocheck>,
+               zip <!nocheck>
 Testsuite: autopkgtest
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/devscripts.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/devscripts.git
@@ -73,9 +77,12 @@
             man-db,
             patch,
             patchutils,
+            python3-apt,
             python3-debian (>= 0.1.15),
             python3-magic,
+            python3-requests,
             python3-unidiff,
+            python3-xdg,
             sensible-utils,
             strace,
             unzip,
@@ -115,8 +122,8 @@
           svn-buildpackage,
           w3m,
           ${vendor:Suggests}
-Breaks: ubuntu-dev-tools (<< 0.147~)
-Replaces: ubuntu-dev-tools (<< 0.124~)
+Breaks: hardening-includes, ubuntu-dev-tools (<< 0.147~)
+Replaces: hardening-includes, ubuntu-dev-tools (<< 0.124~)
 Description: scripts to make the life of a Debian Package maintainer easier
  Contains the following scripts, dependencies/recommendations shown in
  brackets afterwards:
@@ -128,7 +135,7 @@
     libauthen-sasl-perl, libnet-smtps-perl, libsoap-lite-perl, liburi-perl,
     libwww-perl, bsd-mailx | mailx]
   - build-rdeps: search for all packages that build-depend on a given package
-    [dctrl-tools, dose-extra]
+    [dctrl-tools, dose-extra, libdpkg-perl]
   - chdist: tool to easily play with several distributions [dctrl-tools]
   - checkbashisms: check whether a /bin/sh script contains any common
     bash-specific constructs
@@ -196,6 +203,7 @@
     [libdpkg-perl, libgit-wrapper-perl, liblist-compare-perl]
   - grep-excuses: grep britney's excuses for your packages [libterm-size-perl,
     libyaml-syck-perl, wget, w3m]
+  - hardening-check: report the hardening characteristics of a set of binaries
   - list-unreleased: search for unreleased packages
   - manpage-alert: locate binaries without corresponding manpages [man-db]
   - mass-bug: mass-file bug reports [bsd-mailx | mailx]
